﻿@model IEnumerable<BookManagement.Application.Features.Books.GetAllBooksResponseModel>

@{
    ViewData["Title"] = "Index";
}

<div class="row" style="margin-bottom:3px;">
    <div class="col-md-2">
        <h4>Books</h4>
    </div>
    <div class="col-md-10 text-right">
        <a asp-action="Create" class="btn btn-success">Create New</a>
    </div>
</div>

@foreach (var item in Model)
{
    <div class="card" style="margin-bottom:10px;">
        <div class="card-body">
            <div class="row">
                <div class="col-md-2">
                    <img src="@item.ImageUrl" alt="@item.Title" style="width:177px;height:218px;margin-bottom:10px;" />
                    @Html.ActionLink("Edit", "Edit", new { id = item.Id })|
                    @Html.ActionLink("Details", "Details", new { id = item.Id })|
                    @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                </div>
                <div class="offset-1 col-md-9">
                    <h3 style="font-size:18px;font-style:italic">@item.Title</h3>
                    <p>ISBN: @item.ISBN</p>
                    <p>Publisher: @item.Publisher</p>
                    <small>@item.Summery</small>
                </div>
            </div>
        </div>
    </div>
}